package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.purchaser.PurchaserDto;
import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.purchaser.PurchaserSearch;
import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.purchaser.PurchaserVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * <p>
 * 购买方管理 服务类
 * </p>
 *
 * @author wxg
 * @since 2023-12-27
 */
public interface PurchaserService {
    Boolean edit(PurchaserDto dto);
    List<PurchaserVo> purchaserList();
    IPage<PurchaserVo> purchaserPage(PurchaserSearch dto);
    Boolean purchaserDelete(Long purchaserId);

}
